Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
IndexDeletionPolicy.h File Reference
`#include "LuceneObject.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::IndexDeletionPolicy

Policy for deletion of stale `index commits`. Implement this interface, and pass it to one of the `IndexWriter` or `IndexReader` constructors, to customize when older `point-in-time commits` are deleted from the index directory. The default deletion policy is `KeepOnlyLastCommitDeletionPolicy`, which always removes old commits as soon as a new commit is done (this matches the behavior before 2.2). More...

## Namespaces

namespace | Lucene

clucene.sourceforge.net